Set API base Url

  • PUT /platform/configuration/api_base_url
Auth

Saves the API base Url configuration value.

Query parameters

version string

If specified, then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request). If not specified, will unconditionally upsert.

skip_cascading_operations boolean · default: false

Whether or not to skip cascading operations, such as re-provisioning the Security Deployment.

Request body

Data containing the base Url to set

value string required

The configured base Url

Responses

The API base Url was successfully saved.

application/json
value string required

The configured base Url

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)

The optimistic locking version format was wrong. (code: adminconsole.base_url.bad_version_format)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

There is no configured API base value but optimistic locking was sent. (code: adminconsole.base_url.not_found)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

There was an optimistic locking version conflict. (code: adminconsole.base_url.version_conflict)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

skip_cascading_operations was false but the Security Deployment already had a pending plan. (code: security_deployment.cluster_pending_plan_exists)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response